<template>
  <div class="mbk8-card bg-5 rounded-lg">
    <div v-if="$slots.title" class="mbk8-card-title">
      <slot name="title"></slot>
    </div>
    <div class="w-full h-[1px] mbk8-card-divider"></div>
    <div v-if="$slots.default" class="px-4 py-2 mbk8-card-body">
      <slot></slot>
    </div>
  </div>
</template>

<style lang="scss">
.mbk8-card :deep(.el-progress-bar__innerText) {
  color: var(--text5);
}
.mbk8-card {
  border: 1px solid var(--border);

  .mbk8-card-divider {
    background-color: var(--border);
  }

  .mbk8-card-body > * {
    font-family: Roboto;
    font-size: 12px;
    font-weight: 400;
    line-height: 14.06px;
    text-align: left;
    color: var(--text5);
  }

  .mbk8-card-title {
    padding: 12px 16px;

    & > * {
      font-family: Roboto;
      font-size: 14px;
      font-weight: 500;
      line-height: 16.41px;
      text-align: left;
      color: var(--text5);
      text-transform: uppercase;

      &.fc-success {
        color: var(--success);
      }

      &.fc-failure {
        color: var(--failure);
      }
    }
  }
}
</style>
